Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-3923

Missing libmysqlclient.so.18(libmysqlclient_16)(64bit) in MariaDB-shared (amd64)

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.5.28a
    • Fix Version/s: 5.5.29
    • Component/s: None
    • Labels:
    • Environment:
      Fedora 16 and Fedora 17 x86_64/amd64

      Description

      MySQL on fedora 16/17 has a package mysql-libs. This should be
      obsoleted by MariaDB-shared, but there is a missing provision in
      MariaDB-shared: libmysqlclient.so.18(libmysqlclient_16)(64bit)
      which makes you have to force install the package and also reports
      as inconsistencies in dependencies after install.

      Also installation of MariaDB-shared fails as it is not marked as a
      package obsoleting package mysql-libs

      $ sudo yum check
       Loaded plugins: langpacks, presto, refresh-packagekit
      MySQL-python-1.2.3-5.fc17.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
      libdbi-dbd-mysql-0.8.3-9.fc17.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
      mysql-connector-odbc-5.1.10-1.fc17.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
      mysql-connector-odbc-5.1.10-1.fc17.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_18)(64bit)
      1:net-snmp-5.7.1-5.fc17.x86_64 has missing requires of mysql-libs
      perl-DBD-MySQL-4.020-2.fc17.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
      1:qt-mysql-4.8.3-7.fc17.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
       
      Error: check all
       
      $ rpm -q --provides MariaDB-shared
      MariaDB-shared  
      MySQL-shared  
      config(MariaDB-shared) = 5.5.28a-1
      dialog.so()(64bit)  
      libmysqlclient.so.18  
      libmysqlclient.so.18()(64bit)  
      libmysqlclient.so.18(libmysqlclient_16)  
      libmysqlclient.so.18(libmysqlclient_18)  
      libmysqlclient_r.so.18  
      libmysqlclient_r.so.18(libmysqlclient_18)  
      mysql-shared  
      mysql_clear_password.so()(64bit)  
      MariaDB-shared = 5.5.28a-1
      MariaDB-shared(x86-64) = 5.5.28a-1

      This provides list should also include:

      libmysqlclient.so.18(libmysqlclient_16)(64bit)
      mysql-libs = 5.5.28a-1 <not sure of exact string to use here>

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                wlad Vladislav Vaintroub
                Reporter:
                nsmeds Nils Smeds
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Due:
                  Created:
                  Updated:
                  Resolved: